<bugID>971044<Summary>Implement translation infobar</Summary><Description>The translation infobar should be an infobar with the following features:

- It displays the webpage's language in a language dropdown, pre-selected to the language detected
- Allows the user to correct this detection by choosing another language from the dropdown
- Has a Translate and Not Now buttons, and an Options menupopup button
- Doesn't go away when Translate is clicked. Instead, it switches to "Translating webpage" and triggers the translation service
- Displays success or error information on completion</Description></bugID>